<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm"  autocomplete="off">
    <p-panel>
        <p-header>
            <h3>
                <!-- <span jhiTranslate="mpmApp.annual.home.createLabel">Request Annual Leave</span> -->
                <span jhiTranslate="mpmApp.Travel.home.titleForm">Permohonan perjalanan Lebih Dari 50 KM</span>
                <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
                    <span class="fa fa-plus"></span>
                    <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
                    Create new Purchasing
                    </span>
                </button> -->
            </h3>
        </p-header>
        <BR>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan </label>
                    <div class="input-group">
                        <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtCreated"
                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                            [showIcon]="true" [disabled]="true" ></p-calendar>
                    </div>
                </div>
            </div>
            <!-- <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_KdBarang"><h6>Nomor Induk Karyawan</h6></label>
                    <br>
                    <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                    (completeMethod)="filterBarangSingle($event)" [size]="55" name="nik"
                    [minLength]="1" [filter]="true" filterBy="label" field="nik" 
                    placeholder="Please Select Or Insert" [dropdown]="true"
                    (onSelect)="selectBarang(true)"></p-autoComplete>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_barang"><h6>Nama Karyawan         </h6></label>
                    <br>
                    <p-autoComplete [(ngModel)]="newPersonal" [suggestions]="filteredPersonal"
                    (completeMethod)="filterBarangSingle($event)" [size]="55" name="nama_lengkap"
                    [minLength]="1" field="nama_lengkap" placeholder="Please Select Or Insert" 
                    [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                </div>
            </div> -->
            <!-- <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jblReqCuti"><h6>Nama</h6></label>
                    <input type="text" class="form-control" name="jblReqCuti" id="field_jblReqCuti"
                        [(ngModel)]="injblReqCuti"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jblReqCuti"><h6>NIK</h6></label>
                    <input type="text" class="form-control" name="jblReqCuti" id="field_jblReqCuti"
                        [(ngModel)]="injblReqCuti"/>
                </div>
            </div> -->
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jNik"><h6>Nik</h6></label>
                    <input type="text" class="form-control" name="Nik" id="field_Nik"
                        [(ngModel)]="picRole.nik" [disabled]="true"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_Nama"><h6>Nama</h6></label>
                    <input type="text" class="form-control" name="Nama" id="field_jNama"
                        [(ngModel)]="picRole.name" [disabled]="true"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jblReqCuti"><h6>Dept.</h6></label>
                    <input type="text" class="form-control" name="jblReqCuti" id="field_jblReqCuti"
                        [(ngModel)]="picRole.div" [disabled]="true"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_jabatan"><h6>Jabatan</h6></label>
                    <input type="text" class="form-control" name="jabatan" id="field_jabatan"
                        [(ngModel)]="picRole.jabatan" [disabled]="true"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label"  for="field_Locker"><h6>Lokasi Kerja</h6></label>
                    <select class="form-control" id="field_Locker" name="tipe" [(ngModel)]="picRole.loc">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of tipe">{{tipeOption.label}}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_unit_kerja"><h6>Unit Kerja</h6></label>
                    <input type="text" class="form-control" name="unitKerja" id="field_unit_kerja"
                        [(ngModel)]="picRole.unKer"/>
                </div>
            </div>
            <div class="col-md-6">
                <label class="form-control-label"  for="field_insFroms"><h6>Kepentingan</h6></label>
                <br>
                <div class="ui-g" style="width:250px;margin-bottom:10px">
                    <div class="ui-g-12"><p-radioButton name="group2" value="Pribadi" label="Pribadi" [(ngModel)]="picRole.type" inputId="preopt1"></p-radioButton></div>
                    <div class="ui-g-12"><p-radioButton name="group2" value="Kunjungan" label="Kunjungan Suami / Istri" [(ngModel)]="picRole.type" inputId="preopt2"></p-radioButton></div>
                </div>
            </div>
            <div class="col-md-3">
                <label class="form-control-label"  for="field_insFroms"><h6>Pelaksanaan</h6></label>
                <br>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtStartTmln">Mulai Dari </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtStart" name="input_dtStart" [(ngModel)]="dtStart" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-mm-yy"
                                (onSelect)="selectTglBth()"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtFinishTmln">Sampai </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtFinish" name="input_dtFinish" [(ngModel)]="dtFinish" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-mm-yy"
                                (onSelect)="selectTglBth()"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
            <!-- (onSelect)="selectTglBth(true)" -->
            <div class="col-md-3">
                <label class="form-control-label"  for="field_insFroms"><h6>Isoman</h6></label>
                <br>
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtNecessity">Isoman Sampai</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtNecessity" name="input_dtNecessity" [(ngModel)]="dtIsoman"
                            dateFormat="dd-mm-yy" [monthNavigator]="true" 
                            [yearNavigator]="true" 
                            yearRange="2000:2999"
                            [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <!-- <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtIsoman">Isoman Sampai </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtIsoman" name="input_dtIsoman" [(ngModel)]="dtIsoman" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-mm-yy"
                                [showTime]="true"
                                [showIcon]="true" [disabled]="true"></p-calendar>
                        </div>
                    </div> -->
                <!-- </div> -->
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_MSK">Masuk Kerja Kembali </label>
                        <div class="input-group">
                            <p-calendar inputId="field_MSK" name="input_MSK" [(ngModel)]="dtMSK" [monthNavigator]="true" 
                                [yearNavigator]="true" yearRange="2000:2999"
                                dateFormat="dd-mm-yy"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_keperluan"><h6>Keperluan</h6></label>
                    <input type="text" class="form-control" name="keperluan" id="field_keperluan"
                        [(ngModel)]="picRole.ket"/>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" for="field_locTo"><h6>Daerah Tujuan</h6></label>
                    <input type="text" class="form-control" name="LocTo" id="field_locTo"
                        [(ngModel)]="picRole.locationTo"/>
                </div>
            </div>
            <div class="col-md-3">
                <label class="form-control-label"  for="field_insFroms"><h6>Moda Transportasi</h6></label><br>
                <div class="ui-g" style="width:250px;margin-bottom:10px">
                    <div class="ui-g-12"><p-radioButton name="group3" value="Pribadi" label="Pribadi" [(ngModel)]="picRole.modaTrans" inputId="preopt3"></p-radioButton></div>
                    <div class="ui-g-12"><p-radioButton name="group4" value="Umum" label="Umum" [(ngModel)]="picRole.modaTrans" inputId="preopt4"></p-radioButton></div>
                </div>
            </div> 
            <div class="col-md-3">
                <label class="form-control-label"  for="field_insFroms"><h6>Jenis Kendaraan</h6></label>
                <br>
                <div class="ui-g" style="width:250px;margin-bottom:10px">
                    <div class="ui-g-12"><p-radioButton name="group5" value="Mobil" label="Mobil" [(ngModel)]="picRole.jenisTrans" inputId="preopt4"></p-radioButton></div>
                    <div class="ui-g-12"><p-radioButton name="group6" value="Motor" label="Motor" [(ngModel)]="picRole.jenisTrans" inputId="preopt5"></p-radioButton></div>
                </div>
            </div>
            <!-- <div class="col-md-12">
                <label class="form-control-label" for="field_approved"><h6>Approval</h6></label>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <input type="text" class="form-control" name="approved" id="field_approved"
                        [(ngModel)]="inApproved"/>
                </div>
            </div> -->
            <div class="ui-g-12">
                <hr>
                <div style="text-align: right">
                    <button pButton type="submit"
                        label="Simpan"
                        icon="fa-save"
                        class="ui-button-primary flat-label-button">
                    </button>
                    <button pButton class="btn btn-primary btn-sm float-right" 
                        (click)="back()"
                        label="Kembali"
                        class="ui-button-danger flat-label-button">
                    </button>
                </div>
            </div>
        </div>
    </p-panel>

</form>
